Dilbert

Friday, August 28, 2009

Mac OS X - Snow Leopard

A little bit about OpenCL and Apple's OS.

OpenCL - Taking the graphics processor beyond graphics

Thursday, August 27, 2009

Old Tesla C870

I have two cards in my desktop computer. Unfortunately, to execute OpenCL code it needs a 185.18.08 driver version. My video card is a Quadro NVS 280 and its driver is a 173 version. I've installed the 185 version and I needed execute this script:
---------------------------------------------------------------------------------------
#!/bin/bash

modprobe nvidia

if [ "$?" -eq 0 ]; then

# Count the number of NVIDIA controllers found.
N3D=`/sbin/lspci | grep -i NVIDIA | grep "3D controller" | wc -l`
NVGA=`/sbin/lspci | grep -i NVIDIA | grep "VGA compatible controller" | wc -l`

N=`expr $N3D + $NVGA - 1`
for i in `seq 0 $N`; do
mknod -m 666 /dev/nvidia$i c 195 $i;
done

mknod -m 666 /dev/nvidiactl c 195 255

else
exit 1
fi
-------------------------------------------------------------------------------------
However my video card doesn't work. I will post a solution, if I find it.